Company logoTrust Center Documentation
API v1 ReferenceDocumentsIdVersionsVersionid

Get an exact document version

Read the exact version UUID as a merged document view for the selected locale. This response is not raw version delta storage. A malformed UUID returns…

GET
/api/v1/documents/{id}/versions/{versionId}

Read the exact version UUID as a merged document view for the selected locale. This response is not raw version delta storage. A malformed UUID returns 400; a valid UUID that is absent for the document, tenant, or locale returns 404.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid
versionId*string

Required version UUID

Formatuuid

Query Parameters

locale?string

This value takes precedence over x-locale. An invalid or disabled explicit value returns 400.

Header Parameters

x-locale?string

Used when the locale query value is absent. The tenant default locale is the fallback only when both locale inputs are absent. An invalid or disabled explicit value returns 400.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "document": {    "id": "550e8400-e29b-41d4-a716-446655440000",    "title": "Privacy Policy",    "description_markdown": "# Privacy Policy\n\nUse **approved** controls.",    "versioning": true,    "_version": {      "id": "b9db1e63-3c9c-4b37-a1b1-29d9a7df0a46",      "key": "00000000-0000-4000-8000-000000000000",      "name": "Approved policy",      "status": "published",      "is_active": true,      "date_created": "2025-04-30T09:30:00Z"    }  },  "active_version": "b9db1e63-3c9c-4b37-a1b1-29d9a7df0a46"}

How is this guide?